PPI::Statement::End(3)

NAME
PPI::Statement::End - Content after the __END__ of a module

SYNOPSIS
  # This is normal content

  __END__

  This is part of a PPI::Statement::End statement

  =pod

  This is not part of the ::End statement, it's POD

  =cut

  This is another PPI::Statement::End statement

INHERITANCE
  PPI::Statement::End
  isa PPI::Statement
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Statement::End" is a utility class designed to serve as a contained for all of the content after the __END__ tag in a file.

It doesn't cover the ENTIRE of the __END__ section, and can be interspersed with PPI::Token::Pod tokens.

METHODS
"PPI::Statement::End" has no additional methods beyond the default ones provided by PPI::Statement, PPI::Node and PPI::Element.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.